Subject: bug#79314: 31.0.50; Gnus summary doesn't display unicode glyphs anymore

From: Eli Zaretskii <[email-masked]>
Date: Tue, 26 Aug 2025 16:31:15 +0300

> From: Daniel Mendler <[email-masked]>
> Cc: [email-masked]
> Date: Tue, 26 Aug 2025 08:46:33 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> Date: Mon, 25 Aug 2025 23:01:59 +0200
> >> From:  Daniel Mendler via "Bug reports for GNU Emacs,
> >>  the Swiss army knife of text editors" <[email-masked]>
> >> 
> >> I've rebuild Emacs (commit 21b072c6074466f3ec7d2489b82e21d8b0cae265) and
> >> now Gnus doesn't display unicode glyphs anymore in the summary buffer. I
> >> went back to commit bb0ede711eb630e3cc4b02316bf76079ce760de6 and the
> >> glyphs work again. Eli, could this be related to the recent display
> >> table changes? Thank you!
> >
> > I don't use Gnus, so I will need a recipe starting from "emacs -Q" to
> > investigate this.
> 
> Okay, thanks. I will do when I find time to investigate further. For now
> I had to roll back to the working commit
> bb0ede711eb630e3cc4b02316bf76079ce760de6. The commits are only a few
> days apart. The only commits which stood out are some changes to
> redisplay and the string resizing change which has caused other minor
> issues. Maybe this already helps. I only used
> 21b072c6074466f3ec7d2489b82e21d8b0cae265 briefly and I had noticed the
> issue only in Gnus and not in other buffers.

Thanks.  Please see if the change I installed for bug#79317 also fixed
this problem.